# CLANG options
.if !defined(CC) || ${CC} == "cc"
CC=clang
.endif
.if !defined(CXX) || ${CXX} == "c++"
CXX=clang++
.endif
# Don't die on warnings
NO_WERROR=
WERROR=
# Don't forget this when using Jails!
NO_FSCHG=

# Enable debugging symbols for world
DEBUG_FLAGS = -g

# BUILDWORLD options
BOOT2_UFS=UFS2_ONLY		# don't need UFS1 support anymore
#KLD_DEBUG=yes
#MALLOC_PRODUCTION=yes		# disable assertions and statistics
WITHOUT_ACCT=true
#WITHOUT_ACPI=true		# needed by VirtualBox
WITHOUT_AMD=true
WITHOUT_APM=true
WITHOUT_AT=true
WITHOUT_ATM=true
WITHOUT_AUDIT=true
WITHOUT_BIND=true
WITHOUT_BSNMP=true
WITHOUT_CALENDAR=true
WITHOUT_CDDL=true
WITHOUT_CTM=true
WITHOUT_CVS=true
WITHOUT_FLOPPY=true
WITHOUT_FREEBSD_UPDATE=true
WITHOUT_GAMES=true
#WITHOUT_GNU=true
WITHOUT_GPIB=true
WITHOUT_HTML=true
WITH_IDEA=true
WITHOUT_INET6=true
#WITHOUT_INFO=true		# needed by ports (`install-info`)
WITHOUT_IPFILTER=true
WITHOUT_IPFW=true
WITHOUT_IPX=true
WITHOUT_JAIL=true
WITHOUT_LPR=true
#WITHOUT_MAILWRAPPER=true
WITHOUT_NCP=true
WITHOUT_NDIS=true
WITHOUT_NETCAT=true
WITHOUT_NIS=true
WITHOUT_NLS=true
WITHOUT_NLS_CATALOGS=true
WITHOUT_NS_CACHING=true
WITHOUT_PAM_SUPPORT=true
WITHOUT_PF=true
WITHOUT_PMC=true
WITHOUT_PPP=true
WITHOUT_PROFILE=true
WITHOUT_QUOTAS=true
WITHOUT_RCMDS=true
WITHOUT_RCS=true
WITHOUT_ROUTED=true
WITHOUT_SHAREDOCS=true
WITHOUT_SYSINSTALL=true
WITHOUT_TCSH=true
WITHOUT_TELNET=true

